Subject: [netmod] [Technical Errata Reported] RFC6643 (4786)

From: RFC Errata System <[email-masked]>
Date: Wed, 24 Aug 2016 08:52:59 -0700 (PDT)

The following errata report has been submitted for RFC6643,
"Translation of Structure of Management Information Version 2 (SMIv2) MIB Modules to YANG Modules".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6643&eid=4786

--------------------------------------
Type: Technical
Reported by: Martin Björklund <[email-masked]>

Section: 9.1

Original Text
-------------
      If the current object belongs to a conceptual table,
      then a sequence of leaf statements is generated for each INDEX
      object of the conceptual table.  These leafs are named after the
      INDEX objects and of type leafref.

Corrected Text
--------------
      If the current object belongs to a conceptual table,
      then a sequence of leaf statements is generated for each INDEX
      object of the conceptual table, except that a leaf statement is
      not generated for the current object if it is also an INDEX
      object. These leafs are named after the INDEX objects and of type
      leafref.

Notes
-----
The original text would lead to duplicate leaf nodes if the current object is also part of the INDEX.  Section 9.2 contains an example which shows such a situation, without any duplicates.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6643 (draft-ietf-netmod-smi-yang-05)
--------------------------------------
Title               : Translation of Structure of Management Information Version 2 (SMIv2) MIB Modules to YANG Modules
Publication Date    : July 2012
Author(s)           : J. Schoenwaelder
Category            : PROPOSED STANDARD
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 24 Aug 2016 18:35:57 +0200

On Wed, Aug 24, 2016 at 08:52:59AM -0700, RFC Errata System wrote:
> Reported by: Martin Bj??rklund <[email-masked]>
> 
> Section: 9.1
> 
> Original Text
> -------------

I agree that the original text needs correction to avoid creation of
duplicate leafs.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: David Reid <[email-masked]>
Date: Wed, 24 Aug 2016 14:29:30 -0400

> I agree that the original text needs correction to avoid creation of

I also agree.

When I implemented this, it never occurred to me to create a duplicate leaf. 
That is, I think the intent is clear even if the text is not quite right.
In any case, I agree with the correction.

-David Reid